Bug 240425 - [exp-run] Mk/Uses/gem.mk: Keep .so files in ext directory
Summary: [exp-run] Mk/Uses/gem.mk: Keep .so files in ext directory
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-08 19:50 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-09-10 17:43 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-08 19:50:43 UTC
Keep .so files in ext directory

- Remove NO_ARCH for dependent ports
- Bump PORTREVISION for package change
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-09 19:40:42 UTC
See also https://reviews.FreeBSD.org/D16506
Comment 2 Antoine Brodin freebsd_committer 2019-09-10 05:52:39 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2019-09-10 17:38:37 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Sep 10 17:38:01 UTC 2019
New revision: 511765
URL: https://svnweb.freebsd.org/changeset/ports/511765

Log:
  Keep .so files in ext directory

  - Remove NO_ARCH for dependent ports
  - Bump PORTREVISION for dependency and package change

  PR:		240425
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/gem.mk
  head/security/rubygem-scrypt/Makefile
  head/textproc/rubygem-cld3/Makefile
  head/textproc/rubygem-ox/Makefile
  head/textproc/rubygem-ox/files/
  head/textproc/rubygem-sassc/Makefile
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-10 17:43:11 UTC
Committed. Thanks!